Skip to main content
Webhooks

Test webhook endpoint

Sends a test delivery of the chosen event type to the endpoint, regardless of its event subscriptions. Provide financial_account_id to build the payload from one of your accounts where possible; otherwise sample data is sent.

POST
/webhooks/{webhookEndpointId}/test
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

webhookEndpointIdintegerrequired

The webhook endpoint ID

Body

application/json
eventenum<string>required

The event type to send to the endpoint.

Available options: transactions.created, transactions.updated, balance.updated, holdings.updated, account.created, account.updated, account.deleted, bank_account.created, bank_account.updated, bank_account.deleted, connection.created, connection.activated, connection.reauthorized, connection.expiring, connection.expired, connection.failing, connection.recovered, connection.disabled, connection.deleted, portal.user.verified
financial_account_idinteger | null

Optional financial account to build the test payload from. When omitted, sample data is sent instead.

Response

application/json
messagestringrequired